#
# spec file for package ghc-proto-lens-protoc
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name proto-lens-protoc
Name:           ghc-%{pkg_name}
Version:        0.3.1.2
Release:        2.12
Summary:        Protocol buffer compiler for the proto-lens library
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-class-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-lens-family-devel
BuildRequires:  ghc-lens-labels-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-proto-lens-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-temporary-devel
BuildRequires:  ghc-text-devel

%description
Turn protocol buffer files (.proto) into Haskell files (.hs) which can be used
with the proto-lens package. The library component of this package contains
compiler code (namely Data.ProtoLens.Compiler.*) is not guaranteed to have
stable APIs.'.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%{_bindir}/%{pkg_name}

%files devel -f %{name}-devel.files
%doc Changelog.md

%changelog
* Thu Aug 30 2018 psimons@suse.com
- Update proto-lens-protoc to version 0.3.1.2.
  [#]# v0.3.1.2
  - Bump the upper bound to `temporary-1.3`.
  - Fix warnings.
  [#]# v0.3.1.1
  - Fix management of generated files between Cabal components (#171).
  - Bump the lower bound on `base` to indicate we require `ghc>=8.0`.
  - Use autogen-modules. (#196)
* Tue Jul 10 2018 psimons@suse.com
- Add proto-lens-protoc at version 0.3.1.0.
